Create Recurring Resident Charge: Propertyware
https://api.propexo.com/v1/recurring-resident-charges/propertyware/| Method |
|---|
| updateLease |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
Whether the recurring resident charge is active
The amount of the recurring resident charge, in cents
Possible values: > 0
Description of the recurring resident charge
The day of the month the charge is due
Possible values: >= 1 and <= 31
The start date associated with the recurring resident charge
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
The frequency of the recurring resident charge
Show 2 enum values
MONTHLYWEEKLYThe reference number for the recurring resident charge
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the lease
The Propexo unique identifier for the financial account
Whether the recurring resident charge is active
The amount of the recurring resident charge, in cents
Possible values: > 0
Description of the recurring resident charge
The day of the month the charge is due
Possible values: >= 1 and <= 31
Show 2 variants
The end date associated with the recurring resident charge
Show 2 variants
The frequency of the recurring resident charge
Show 2 enum values
MONTHLYWEEKLYThe reference number for the recurring resident charge
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/propertyware/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"is_active": true,
"amount_in_cents": 0,
"description": "string",
"charge_due_day": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"frequency_normalized": "MONTHLY"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"financial_account_id": "string",
"is_active": true,
"amount_in_cents": 0,
"description": "string",
"charge_due_day": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"frequency_normalized": "MONTHLY",
"reference_number": "string"
}
}